Subject: Re: bug#23264: 25.0.90; `C-h f' (`describe-function'): "This function has a compiler macro"

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 May 2022 15:00:56 +0200

Drew Adams <[email-masked]> writes:

> This mystery sentence was added to the output of
> `describe-function' - at the very top, no less:
>
>   This function has a compiler macro.

[...]

> I admit that I still do not understand why we would tell
> users this in `C-h f' output.  And perhaps I still do not
> fully grasp the message.

It doesn't seem very useful to me either, no -- it doesn't really convey
much of interest to the user.  Eli, Stefan -- what do you think?  Should
we just remove it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no